for %%g in (*.nds) do (call :subroutine "%%g")
goto :eof

:subroutine
 set rom=%1
 set root_folder=%~n1
 for /f %%g in ('tools\print_rom_data %rom% title_id') do set title_id=%%g
 for /f %%g in ('tools\print_rom_data %rom% save_size') do set save_size=%%g
 for /f %%g in ('tools\print_rom_data %rom% privsave_size') do set privsave_size=%%g
 for /f %%g in ('tools\print_rom_data %rom% banner_save') do set banner_save=%%g
 set content_folder=%root_folder%\%title_id%\content
 set data_folder=%root_folder%\%title_id%\data

 md "%root_folder%\%title_id%\content"
 tools\maketmd %rom%
 move title.tmd "%content_folder%"
 copy %rom% "%content_folder%\00000000.app"

 if %save_size% neq 0  (
 md "%root_folder%\%title_id%\data"
 copy tools\mbr\%save_size% "%data_folder%\public.sav"
 tools\truncate.exe "%data_folder%\public.sav" %save_size%
 )

 if %privsave_size% neq 0  (
 md "%root_folder%\%title_id%\data"
 copy tools\mbr\%privsave_size% "%data_folder%\private.sav"
 tools\truncate.exe "%data_folder%\private.sav" %privsave_size%
 )

 if %banner_save% neq 0  (
 fsutil file createnew "%data_folder%\banner.sav" 16384
 )

 goto :eof